跳轉到主要內容
GET
/
v2
/
dexpools
/
{chain}
/
{poolAddress}
/
snapshots
DEX 池子 - 流動性快照
curl --request GET \
  --url https://api.chainstream.io/v2/dexpools/{chain}/{poolAddress}/snapshots \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "blockHeight": 123456789,
      "blockSlot": 123456789,
      "blockTimestamp": 1705312800000,
      "poolAddress": "58oQChx4yWmvKdwLLZzBi4ChoCc2fqCUWBkwMihLYQo2",
      "snapshotTime": 1705312800000,
      "tokenA": {
        "amountInNative": "5000.123",
        "amountInUsd": "1000000.45",
        "decimals": 6,
        "priceNative": "0.005",
        "priceUsd": "1.0001",
        "tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
        "vaultAmount": "1000000000000"
      },
      "tokenB": {
        "amountInNative": "5000.123",
        "amountInUsd": "1000000.45",
        "decimals": 6,
        "priceNative": "0.005",
        "priceUsd": "1.0001",
        "tokenAddress": "Es9vMFrzaCERmJfrF4H2FYD4KCoNkY11McCe8BenwNYB",
        "vaultAmount": "1000000000000"
      },
      "tvlInNative": "5000",
      "tvlInUsd": "1000000.45"
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}

授權

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路徑參數

chain
enum<string>
必填

支援網路列表中的鏈名稱 Supported blockchain chains

可用選項:
sol,
eth,
bsc
poolAddress
string
必填

池子地址

查詢參數

cursor
string

分頁游標

limit
integer<int64>
預設值:20

每頁回傳結果數量

direction
enum<string>
預設值:next

分頁方向(next 或 prev) Pagination direction

可用選項:
next,
prev
time
integer<int64>

快照查詢的目標 Unix 時間戳

回應

200 - application/json

成功回應

Generic pagination response

data
object[]
必填

Page data

endCursor
string | null

Cursor for the end of current page

範例:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

Whether there is a next page

範例:

false

hasPrev
boolean

Whether there is a previous page

範例:

false

startCursor
string | null

Cursor for the start of current page

範例:

"eyJpZCI6InN0YXJ0In0="